View Issue Details

IDProjectCategoryView StatusLast Update
0021614LazarusLCLpublic2012-06-02 23:38
ReporterChristianAssigned ToJesus Reyes 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.30.5 (SVN)Product Build 
Target VersionFixed in Version1.1 (SVN) 
Summary0021614: Drag&Drop dont works when Source is TDBGrid
DescriptionWhen you try to Drag something from the Data Area of an DBGrid Drag&Drop is not startet. When you start it from the Column Headers it is started.
TagsNo tags attached.
Fixed in Revision37454
LazTarget-
WidgetsetGTK, GTK 2, Win32/Win64, WinCE, Carbon, Cocoa, QT, fpGUI, CustomDrawn
Attached Files
  • dragdrop.zip (129,218 bytes)
  • dbgrid_dd.patch (1,016 bytes)
    Index: lcl/dbgrids.pas
    ===================================================================
    --- lcl/dbgrids.pas	(revision 37452)
    +++ lcl/dbgrids.pas	(working copy)
    @@ -439,7 +439,6 @@
         procedure MoveSelection; override;
         function  MouseButtonAllowed(Button: TMouseButton): boolean; override;
         procedure MouseDown(Button: TMouseButton; Shift:TShiftState; X,Y:Integer); override;
    -    procedure MouseMove(Shift: TShiftState; X, Y: Integer); override;
         procedure PrepareCanvas(aCol,aRow: Integer; aState:TGridDrawState); override;
         procedure PrepareCellHints(aCol,aRow: Integer); override;
         procedure RemoveAutomaticColumns;
    @@ -2361,14 +2360,6 @@
       {$IfDef dbgGrid} DebugLn('DBGrid.MouseDown END'); {$Endif}
     end;
     
    -procedure TCustomDBGrid.MouseMove(Shift: TShiftState; X, Y: Integer);
    -begin
    -  if fGridState=gsSelecting then
    -    exit
    -  else
    -    inherited MouseMove(Shift, X, Y);
    -end;
    -
     procedure TCustomDBGrid.PrepareCanvas(aCol, aRow: Integer;
       aState: TGridDrawState);
     begin
    
    dbgrid_dd.patch (1,016 bytes)

Activities

2012-03-31 06:50

 

dragdrop.zip (129,218 bytes)

2012-05-29 14:51

 

dbgrid_dd.patch (1,016 bytes)
Index: lcl/dbgrids.pas
===================================================================
--- lcl/dbgrids.pas	(revision 37452)
+++ lcl/dbgrids.pas	(working copy)
@@ -439,7 +439,6 @@
     procedure MoveSelection; override;
     function  MouseButtonAllowed(Button: TMouseButton): boolean; override;
     procedure MouseDown(Button: TMouseButton; Shift:TShiftState; X,Y:Integer); override;
-    procedure MouseMove(Shift: TShiftState; X, Y: Integer); override;
     procedure PrepareCanvas(aCol,aRow: Integer; aState:TGridDrawState); override;
     procedure PrepareCellHints(aCol,aRow: Integer); override;
     procedure RemoveAutomaticColumns;
@@ -2361,14 +2360,6 @@
   {$IfDef dbgGrid} DebugLn('DBGrid.MouseDown END'); {$Endif}
 end;
 
-procedure TCustomDBGrid.MouseMove(Shift: TShiftState; X, Y: Integer);
-begin
-  if fGridState=gsSelecting then
-    exit
-  else
-    inherited MouseMove(Shift, X, Y);
-end;
-
 procedure TCustomDBGrid.PrepareCanvas(aCol, aRow: Integer;
   aState: TGridDrawState);
 begin
dbgrid_dd.patch (1,016 bytes)

Christian

2012-05-29 14:51

reporter   ~0060046

Patch attached

Jesus Reyes

2012-05-29 22:02

developer   ~0060062

thanks for hint.

Christian

2012-06-02 23:38

reporter   ~0060190

thanks

Issue History

Date Modified Username Field Change
2012-03-31 06:50 Christian New Issue
2012-03-31 06:50 Christian File Added: dragdrop.zip
2012-03-31 06:50 Christian Widgetset => GTK, GTK 2, Win32/Win64, WinCE, Carbon, Cocoa, QT, fpGUI, CustomDrawn
2012-03-31 08:52 Zeljan Rikalo Status new => assigned
2012-03-31 08:52 Zeljan Rikalo Assigned To => Jesus Reyes
2012-05-29 14:51 Christian File Added: dbgrid_dd.patch
2012-05-29 14:51 Christian Note Added: 0060046
2012-05-29 22:02 Jesus Reyes Fixed in Revision => 37454
2012-05-29 22:02 Jesus Reyes LazTarget => -
2012-05-29 22:02 Jesus Reyes Status assigned => resolved
2012-05-29 22:02 Jesus Reyes Fixed in Version => 1.1 (SVN)
2012-05-29 22:02 Jesus Reyes Resolution open => fixed
2012-05-29 22:02 Jesus Reyes Note Added: 0060062
2012-06-02 23:38 Christian Status resolved => closed
2012-06-02 23:38 Christian Note Added: 0060190